Skip to content

IntIndex⁠

Perform various operations for Symitar parameters.

Operations⁠

getIntIndexSelectFields⁠

POST

Execute the persistent ParameterService getIntIndexSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

IntIndexInterestRateIndexintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getIntIndexSelectFields
POST /nexum/627/persistent/parameter/getIntIndexSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "IntIndexInterestRateIndex": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllIntIndexFields": true,
    "IntIndexFields": {
      "DefinedCode": true,
      "Description": true,
      "EffectiveDate": [
        0
      ],
      "IndexFrequency": true,
      "IndexRate": [
        0
      ],
      "IndexSource": true,
      "InterestRateIndex": true,
      "Type": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getIntIndexPagedListSelectFields⁠

POST

Execute the persistent ParameterService getIntIndexPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getIntIndexPagedListSelectFields
POST /nexum/627/persistent/parameter/getIntIndexPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllIntIndexFields": true,
    "IntIndexFields": {
      "DefinedCode": true,
      "Description": true,
      "EffectiveDate": [
        0
      ],
      "IndexFrequency": true,
      "IndexRate": [
        0
      ],
      "IndexSource": true,
      "InterestRateIndex": true,
      "Type": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchIntIndexPagedSelectFields⁠

POST

Execute the persistent ParameterService searchIntIndexPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchIntIndexPagedSelectFields
POST /nexum/627/persistent/parameter/searchIntIndexPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllIntIndexFields": true,
    "IntIndexFields": {
      "DefinedCode": true,
      "Description": true,
      "EffectiveDate": [
        0
      ],
      "IndexFrequency": true,
      "IndexRate": [
        0
      ],
      "IndexSource": true,
      "InterestRateIndex": true,
      "Type": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateIntIndexByID⁠

POST

Execute the persistent ParameterService updateIntIndexByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

IntIndexInterestRateIndexintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateIntIndexByID
POST /nexum/627/persistent/parameter/updateIntIndexByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "IntIndexInterestRateIndex": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "IntIndexFields": {
    "DefinedCode": 0,
    "Description": "string",
    "EffectiveDate": [
      {
        "EntryId": 0,
        "EffectiveDate": "string"
      }
    ],
    "IndexFrequency": "string",
    "IndexRate": [
      {
        "EntryId": 0,
        "IndexRate": 0
      }
    ],
    "IndexSource": "string",
    "InterestRateIndex": 0,
    "Type": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}